Update product
curl --request PUT \
--url https://api.puplar.com/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"amount": 2,
"metadata": {},
"distribution": "<string>"
}
'import requests
url = "https://api.puplar.com/products/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"amount": 2,
"metadata": {},
"distribution": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
amount: 2,
metadata: {},
distribution: '<string>'
})
};
fetch('https://api.puplar.com/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Success",
"data": {}
}{
"message": "Error message",
"data": {},
"errors": {}
}{
"message": "Error message",
"data": {},
"errors": {}
}Products
Update product
Updates catalog fields. Does not change line items already stored on invoices.
PUT
/
products
/
{id}
Update product
Authorizations
Secret key: Authorization: Bearer sk_test_... or sk_live_.... Business and live/test mode are inferred from the key.
Path Parameters
Product ID
Body
application/json
Maximum string length:
200Maximum string length:
1000Minor units
Required range:
x >= 1Available options:
usd, ngn, eur Distribution ID to attach, or null to detach. Same currency as the product.

